org.scalatest.verb

# ResultOfStringPassedToVerb

#### class ResultOfStringPassedToVerb extends AnyRef

Abstract class that supports test registration in `FlatSpec` and `FixtureFlatSpec`.

For example, this class enables syntax such as the following pending test registration in `FlatSpec` and `FixtureFlatSpec`:

    "A Stack (when empty)" should "be empty" is (pending)
                                             ^

For example, this class enables syntax such as the following tagged test registration in `FlatSpec` and `FixtureFlatSpec`:

    "A Stack (when empty)" should "be empty" taggedAs(SlowTet) in { ... }
                                             ^

This class also indirectly enables syntax such as the following regular test registration in `FlatSpec` and `FixtureFlatSpec`:

    "A Stack (when empty)" should "be empty" in { ... }
                                             ^

However, this class does not declare any methods named `in`, because the type passed to `in` differs in a `FlatSpec` and a `FixtureFlatSpec`. A `FixtureFlatSpec` needs two `in` methods, one that takes a no-arg test function and another that takes a one-arg test function (a test that takes a `Fixture` as its parameter). By constrast, a `FlatSpec` needs only one `in` method that takes a by-name parameter. As a result, `FlatSpec` and `FixtureFlatSpec` each provide an implicit conversion from `ResultOfStringPassedToVerb` to a type that provides the appropriate `in` methods.

Attributes
  abstract

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResultOfStringPassedToVerb
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResultOfStringPassedToVerb (verb: String, rest: String)

### Abstract Value Members

1. #### def is (fun: ⇒ PendingNothing): Unit

   Supports the registration of pending tests in a `FlatSpec` and `FixtureFlatSpec`.

   Supports the registration of pending tests in a `FlatSpec` and `FixtureFlatSpec`.

   This method supports syntax such as the following:

       "A Stack" must "pop values in last-in-first-out order" is (pending)
                                                              ^

   For examples of pending test registration, see the Pending tests section in the main documentation for trait `FlatSpec`.

   Attributes
     abstract

2. #### def taggedAs (firstTestTag: Tag, otherTestTags: Tag*): ResultOfTaggedAsInvocation

   Supports the registration of tagged tests in `FlatSpec` and `FixtureFlatSpec`.

   Supports the registration of tagged tests in `FlatSpec` and `FixtureFlatSpec`.

   This method supports syntax such as the following:

       "A Stack" must "pop values in last-in-first-out order" taggedAs(SlowTest) in { ... }
                                                              ^

   For examples of tagged test registration, see the Tagging tests section in the main documentation for trait `FlatSpec`.

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### val rest : String

18. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def toString (): String

    Definition Classes
      AnyRef → Any

20. #### val verb : String

21. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

22. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any